@import 'font.scss';
html {
    @media only screen and (device-width: 812px) and (device-height: 375px) and (-webkit-device-pixel-ratio: 3) {
      padding: env(safe-area-inset);
      padding: constant(safe-area-inset);
    }
  
    @media only screen and (device-width: 896px) and (device-height: 414px) and (-webkit-device-pixel-ratio: 3) {
      padding: env(safe-area-inset);
      padding: constant(safe-area-inset);
    }
}
  
body {
    font-family: "Kanit-Light",tahoma;
    padding:0;
    margin:0;
    background: #000;
    font-size: 24px;
    @media(max-width: 1024px) {
        font-size: 20px;
    }
    @media(max-width: 640px) {
        font-size: 18px;
    }
}
* {
    //user-select: none;
}
h1, h2, h3, h4, h5, h6 {
    margin: 0;
}
ul, li {
    margin: 0px;
    padding: 0px;
    list-style-type: none;
}
img{
    max-width: 100%;
    max-height: 100%;
}
.page {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    &__loading {
        display: block;
        position: fixed;
        width: 100%;
        height: 100%;
        text-align: center;
        color: #FFFFFF;
        vertical-align: middle;
        font-size: 30px;
        background-color: rgba(0,0,0,0.6);
        &:before {
            content: "";
            display: inline-block;
            height: 100%;
            width: 0px;
            vertical-align: middle;
        }
    }
    &.close {
        display: none;
    }
}

.events-bns{
    position: relative;
    overflow-x: hidden;
}
.archer{
    background:url("../static/images/bg.jpg")top center no-repeat;
    background-size: 100% auto;
    width:100%;
    min-height: 150vh;
    // padding-top: 40%;
    padding: 40% 0 5% 0;
    @media(max-width: 640px) {
        background:url("../static/images/bg_mb.jpg")top center no-repeat;
        background-size: 100% auto;
        padding: 94% 0 0 0;
    }
    &__logo{
        position: absolute;
        top: 1%;
        left: 23%;
        width: 6%;
        min-width: 80px;
        @media(max-width: 900px) {
            left: 20%;
        }
        @media(max-width: 640px) {
            display: none;
        }
    }
    &__btngroup{
        position: absolute;
        top: 1%;
        right: 2%;
        width: 100%;
        text-align: right;
        >a{
            width: 5%;
            display: inline-block;
            margin: 0 .5%;
            min-width: 80px;
            @media(max-width: 640px) {
                min-width: 65px;
            }
        }
        img{
            display: block;
        }
    }
    &__scroll {
        text-align: center;
        width:100%;
        position: absolute;
        top: 32vw;
        >img{
            animation: mover 1s infinite alternate;
        }
        @media(max-width: 640px) {
            display: none;
        }
    }
    &__board{
        position: relative;
        max-width: 1144px;
        margin: 0 auto;
    }
    &__board-register{
        background:url("../static/images/board_register.png")top center no-repeat;
        background-size: cover;
        width: 100%;
        max-width: 1144px;
        max-height: calc(1144px * (1442 / 1192));
        height: calc(100vw * (1442 / 1192));
        margin: 0 auto;
        position: relative;
        @media(max-width: 640px) {
            background:url("../static/images/board_register_mb.png")top center no-repeat;
            background-size: cover;
            height: calc(100vw * (948/640));
        }
    }
    &__btnregister{
        position: absolute;
        top: 22%;
        left: 50%;
        transform: translate(-50%, -50%);
        background:url("../static/images/btn_register-all.png")top center no-repeat;
        background-size: 100% auto;
        width: 33%;
        padding-top: calc(33%*(82/402));
        cursor: pointer;
        &.registered{
            background:url("../static/images/btn_registered.png")top center no-repeat;
            background-size: 100% auto;
            pointer-events: none;
            cursor: default;
            &:hover{
                background-position: top center;
            }
        }
        @media(min-width: 640px) {
            &:hover{
                background-position: bottom center;
            }
        }
        @media(max-width: 640px) {
            top: 32vw;
            left: 50%;
            transform: translate(-50%, -50%);
        }
    }
    &__text{
        position: absolute;
        width: 100%;
        text-align: center;
        font-style: italic;
        top: 28%;
        @media(max-width: 640px) {
            top: 40vw;
        }
    }
    &__title{
        color: #fff;
        font-size: 1.3em;
        @media(max-width: 1024px) {
            font-size: 3.5vw;
        }
    }
    &__count{
        color: #fae5a3;
        font-size: 2.5em;
        @media(max-width: 1024px) {
            font-size: 5vw;
        }
        >span{
            font-family: "Kanit-Medium",tahoma;
        }
    }
    &__buy{
        position: absolute;
        width: 20%;
        right: 9%;
        top: 19%;
        z-index: 1;
        @media(max-width: 640px) {
            width: 25%;
            right: 0;
            top: 18%;
        }
    }
    &__board-reward{
        position: relative;
        margin: -58% 0 0 auto;
        >img{
            width: 100%;
        }
        background:url("../static/images/board_reward.png")top center no-repeat;
        background-size: cover;
        width: 108%;
        // max-width: 1144px;
        max-height: calc(1235px * (1959 / 1285));
        height: calc(108vw * (1959/1285));
        @media(max-width: 640px) {
            background:url("../static/images/board_reward_mb.png")top center no-repeat;
            background-size: cover;
            width: 100%;
            height: calc(100vw * (2264/640));
            margin: -66% 0 0 auto;
        }
    }
}